<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Musicsong Pro
	 * @since Musicsong Pro 1.0.0
	 */

	/**
	 * musicsong_pro_doctype hook
	 *
	 * @hooked musicsong_pro_doctype -  10
	 *
	 */
	do_action( 'musicsong_pro_doctype' );

?>
<head>
<?php
	/**
	 * musicsong_pro_before_wp_head hook
	 *
	 * @hooked musicsong_pro_head -  10
	 *
	 */
	do_action( 'musicsong_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action('wp_body_open'); ?>

<?php
	/**
	 * musicsong_pro_page_start_action hook
	 *
	 * @hooked musicsong_pro_page_start -  10
	 *
	 */
	do_action( 'musicsong_pro_page_start_action' ); 

	/**
	 * musicsong_pro_loader_action hook
	 *
	 * @hooked musicsong_pro_loader -  10
	 *
	 */
	do_action( 'musicsong_pro_before_header' );

	/**
	 * musicsong_pro_header_action hook
	 *
	 * @hooked musicsong_pro_header_start -  10
	 * @hooked musicsong_pro_site_branding -  20
	 * @hooked musicsong_pro_site_navigation -  30
	 * @hooked musicsong_pro_header_end -  50
	 *
	 */
	do_action( 'musicsong_pro_header_action' );

	/**
	 * musicsong_pro_content_start_action hook
	 *
	 * @hooked musicsong_pro_content_start -  10
	 *
	 */
	do_action( 'musicsong_pro_content_start_action' );

	/**
	 * musicsong_pro_header_image_action hook
	 *
	 * @hooked musicsong_pro_header_image -  10
	 *
	 */
	do_action( 'musicsong_pro_header_image_action' );

    if ( musicsong_pro_is_frontpage() ) {
    	$options = musicsong_pro_get_theme_options();
    	$sections = musicsong_pro_sortable_sections();

    	if ( $options['home_layout'] == 'fourth-design' ) {
    		$sections = array( 'slider' => 'slider', 'service' => 'service', 'destination' => 'destination', 'cta' => 'cta', 'tour' => 'tour', 'testimonial' => 'testimonial', 'blog' => 'blog' );
    	}

    	if ( $options['home_layout'] == 'third-design' ) {
    		$sections = array( 'slider' => 'slider', 'about' => 'about', 'hero_content' => 'hero_content', 'service' => 'service', 'cta' => 'cta', 'testimonial' => 'testimonial', 'team' => 'team', 'counter' => 'counter' , 'blog' => 'blog' );
    	}

    	if ( $options['home_layout'] == 'fifth-design' ) {
    		$sections = array( 'slider' => 'slider', 'service' => 'service', 'product' => 'product', 'collection' => 'collection' , 'featured' => 'featured', 'trending_product' => 'trending_product', 'blog' => 'blog' );
    	}

    	if ( $options['home_layout'] == 'sixth-design' ) {
    		$sections = array( 'popular' => 'popular', 'featured' => 'featured', 'recent' => 'recent', 'most_view' => 'most_view', 'blog' => 'blog' );
    	}

		foreach ( $sections as $section => $value ) {
			add_action( 'musicsong_pro_primary_content', 'musicsong_pro_add_'. $section .'_section' );
		}
		do_action( 'musicsong_pro_primary_content' );
	}