<?php
/**
 * Musicsong Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Musicsong Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function musicsong_pro_custom_colors_css() {
  	$options= musicsong_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.widget_search form.search-form .search-submit:hover,
	.widget_search form.search-form .search-submit:focus,
	input[type="submit"]:hover,
	input[type="submit"]:focus,
	.jetpack_subscription_widget input[type="submit"],
	.jetpack_subscription_widget input[type="submit"]:hover,
	.jetpack_subscription_widget input[type="submit"]:focus,
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.btn:hover,
	.btn:focus,
	.slick-prev,
	.slick-next,
	.slick-prev:hover,
	.slick-next:hover,
	.slick-dots li.slick-active button,
	#popular-artists .btn,
	.wp-playlist .mejs-inner .mejs-controls .mejs-time-rail .mejs-time-current,
	.wp-playlist .mejs-inner .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current,
	.wp-playlist .mejs-inner .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current:after,
	.widget_media_audio .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current,
	.widget_media_audio .mejs-inner .mejs-controls .mejs-time-rail .mejs-time-current,
	.widget_media_video .mejs-controls .mejs-time-rail .mejs-time-current,
	#latest-albums .btn,
	#upcoming-events article:hover .buy-ticket .btn,
	.section-container .btn-fill,
	.wp-playlist-tracks .wp-playlist-item.wp-playlist-playing, 
	.wp-playlist-tracks .wp-playlist-item:hover,
	.button.product_type_simple.add_to_cart_button.ajax_add_to_cart:hover,
	.button.product_type_simple.add_to_cart_button.ajax_add_to_cart:focus,
	ul.products li .onsale,
	#latest-products .btn,
	.archive-blog-wrapper .has-post-thumbnail .posted-on a,
	.archive-blog-wrapper .post-categories a,
	.single .post-categories a,
	.single .posted-on a,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.woocommerce #respond input#submit:focus, 
	.woocommerce a.button:focus, 
	.woocommerce button.button:focus, 
	.woocommerce input.button:focus,
	.woocommerce a.added_to_cart:hover,
	.woocommerce a.added_to_cart:focus,
	.woocommerce #respond input#submit.alt:hover, 
	.woocommerce a.button.alt:hover, 
	.woocommerce button.button.alt:hover, 
	.woocommerce input.button.alt:hover,
	.woocommerce #respond input#submit.alt:focus, 
	.woocommerce a.button.alt:focus, 
	.woocommerce button.button.alt:focus, 
	.woocommerce input.button.alt:focus,
	.woocommerce #respond input#submit.disabled:hover, 
	.woocommerce #respond input#submit:disabled:hover, 
	.woocommerce #respond input#submit:disabled[disabled]:hover, 
	.woocommerce a.button.disabled:hover, 
	.woocommerce a.button:disabled:hover, 
	.woocommerce a.button:disabled[disabled]:hover, 
	.woocommerce button.button.disabled:hover, 
	.woocommerce button.button:disabled:hover, 
	.woocommerce button.button:disabled[disabled]:hover, 
	.woocommerce input.button.disabled:hover, 
	.woocommerce input.button:disabled:hover, 
	.woocommerce input.button:disabled[disabled]:hover,
	.woocommerce nav.woocommerce-pagination ul li a:focus, 
	.woocommerce nav.woocommerce-pagination ul li a:hover, 
	.woocommerce nav.woocommerce-pagination ul li span.current,
	.cart-icon small,
	.single .product_meta .posted_in a,
	.sku_wrapper span,
	.single.woocommerce div.product > span.onsale,
	.woocommerce-MyAccount-navigation ul li.is-active a,
	.woocommerce-MyAccount-navigation ul li:hover a,
	.woocommerce-MyAccount-navigation ul li:focus a,
	.lite-version .btn:hover,
	.lite-version .btn:focus,
	.lite-version #popular-artists .btn,
	.lite-version .slick-dots li.slick-active button,
	.lite-version #latest-albums .btn,
	.lite-version #upcoming-events article:hover .buy-ticket .btn,
	.lite-version .slick-prev:hover, 
	.lite-version .slick-next:hover,
	.lite-version #featured-gallery .slick-dots li.slick-active button,
	.lite-version .client-slider .slick-dots li.slick-active button,
	.lite-version .section-container .btn-fill,
	.lite-version .button.product_type_simple.add_to_cart_button.ajax_add_to_cart:hover,
	.lite-version .button.product_type_simple.add_to_cart_button.ajax_add_to_cart:focus,
	.lite-version ul.products li .onsale,
	.lite-version #latest-products .btn,
	.lite-version .jetpack_subscription_widget input[type="submit"],
	.lite-version .backtotop,
	.lite-version .archive-blog-wrapper .has-post-thumbnail .posted-on a,
	.lite-version .archive-blog-wrapper .post-categories a,
	.lite-version .pagination .page-numbers.current, 
	.lite-version .pagination .page-numbers:hover, 
	.lite-version .pagination .page-numbers:focus,
	.lite-version .widget_search form.search-form .search-submit:hover, 
	.lite-version .widget_search form.search-form .search-submit:focus,
	.lite-version.single .posted-on a,
	.lite-version.single .post-categories a,
	.lite-version #respond input[type="submit"]:hover,
	.lite-version #respond input[type="submit"]:focus,
	.lite-version.woocommerce nav.woocommerce-pagination ul li a:focus, 
	.lite-version.woocommerce nav.woocommerce-pagination ul li a:hover, 
	.lite-version.woocommerce nav.woocommerce-pagination ul li span.current,
	.lite-version.woocommerce #respond input#submit:hover, 
	.lite-version.woocommerce a.button:hover, 
	.lite-version.woocommerce button.button:hover, 
	.lite-version.woocommerce input.button:hover, 
	.lite-version.woocommerce a.added_to_cart:hover, 
	.lite-version.woocommerce #respond input#submit.alt:hover, 
	.lite-version.woocommerce a.button.alt:hover, 
	.lite-version.woocommerce button.button.alt:hover, 
	.lite-version.woocommerce input.button.alt:hover,
	.lite-version.woocommerce #respond input#submit:focus, 
	.lite-version.woocommerce a.button:focus, 
	.lite-version.woocommerce button.button:focus, 
	.lite-version.woocommerce input.button:focus, 
	.lite-version.woocommerce a.added_to_cart:focus, 
	.lite-version.woocommerce #respond input#submit.alt:focus, 
	.lite-version.woocommerce a.button.alt:focus, 
	.lite-version.woocommerce button.button.alt:focus, 
	.lite-version.woocommerce input.button.alt:focus,
	.lite-version.woocommerce .woocommerce-ordering select,
	.lite-version.woocommerce .quantity .qty,
	.lite-version.single .product_meta .posted_in a, 
	.lite-version .sku_wrapper span,
	.lite-version.single.woocommerce div.product > span.onsale,
	.lite-version .widget_media_audio .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current, 
	.lite-version .widget_media_audio .mejs-inner .mejs-controls .mejs-time-rail .mejs-time-current, 
	.lite-version .widget_media_video .mejs-controls .mejs-time-rail .mejs-time-current,
	.lite-version.woocommerce nav.woocommerce-pagination ul li a:focus, 
	.lite-version.woocommerce nav.woocommerce-pagination ul li a:hover, 
	.lite-version.woocommerce nav.woocommerce-pagination ul li span.current,
	.lite-version .woocommerce #respond input#submit:hover, 
	.lite-version .woocommerce a.button:hover, 
	.lite-version .woocommerce button.button:hover, 
	.lite-version .woocommerce input.button:hover, 
	.lite-version .woocommerce a.added_to_cart:hover, 
	.lite-version .woocommerce #respond input#submit.alt:hover, 
	.lite-version .woocommerce a.button.alt:hover, 
	.lite-version .woocommerce button.button.alt:hover, 
	.lite-version .woocommerce input.button.alt:hover,
	.lite-version .woocommerce #respond input#submit:focus, 
	.lite-version .woocommerce a.button:focus, 
	.lite-version .woocommerce button.button:focus, 
	.lite-version .woocommerce input.button:focus, 
	.lite-version .woocommerce a.added_to_cart:focus, 
	.lite-version .woocommerce #respond input#submit.alt:focus, 
	.lite-version .woocommerce a.button.alt:focus, 
	.lite-version .woocommerce button.button.alt:focus, 
	.lite-version .woocommerce input.button.alt:focus,
	.lite-version .woocommerce #respond input#submit.disabled:hover, 
	.lite-version .woocommerce #respond input#submit:disabled:hover, 
	.lite-version .woocommerce #respond input#submit:disabled[disabled]:hover, 
	.lite-version .woocommerce a.button.disabled:hover, 
	.lite-version .woocommerce a.button:disabled:hover, 
	.lite-version .woocommerce a.button:disabled[disabled]:hover, 
	.lite-version .woocommerce button.button.disabled:hover, 
	.lite-version .woocommerce button.button:disabled:hover, 
	.lite-version .woocommerce button.button:disabled[disabled]:hover, 
	.lite-version .woocommerce input.button.disabled:hover, 
	.lite-version .woocommerce input.button:disabled:hover, 
	.lite-version .woocommerce input.button:disabled[disabled]:hover,
	.lite-version .woocommerce-MyAccount-navigation ul li.is-active a, 
	.lite-version .woocommerce-MyAccount-navigation ul li:hover a, 
	.lite-version .woocommerce-MyAccount-navigation ul li:focus a,
	.lite-version .wp-playlist .mejs-inner .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current:after,
	.lite-version .wp-playlist .mejs-inner .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current,
	.lite-version .wp-playlist .mejs-inner .mejs-controls .mejs-time-rail .mejs-time-current,
	.lite-version #playlist-section .wp-playlist-tracks,
	.popular-destination-trip-duration,
	.popular-destination-trip-price,
	#products-collection article .btn:hover,
	#products-collection article .btn:focus,
	#featured-products article .btn:hover,
	#featured-products article .btn:focus,
	span.discount-offer,
	#magazine-popular-posts ul.post-categories li a,
	#magazine-featured-posts ul.post-categories li a,
	#magazine-recent-posts ul.post-categories li a,
	#magazine-latest-posts ul.post-categories li a,
	.sixth-design .section-title,
	#magazine-most-viewed-posts ul.post-categories li a {
	    background-color: ' . esc_attr($color_value) . ';
	}
	a,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.widget_featured_post h3 a:hover,
	.widget_featured_post h3 a:focus,
	.widget_featured_post a:hover time,
	.widget_featured_post a:focus time,
	.widget_popular_post a time,
	.widget_popular_post time,
	.widget_latest_post a time,
	.widget_latest_post time,
	.widget_featured_post a time,
	.widget_featured_post time,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a,
	.comment-metadata a time,
	.section-subtitle,
	#playlist-section .wp-playlist-prev:hover:before,
	#playlist-section .wp-playlist-next:hover:before,
	.wp-playlist .mejs-currenttime,
	.wp-playlist .mejs-button.mejs-volume-button.mejs-mute>button:before,
	.wp-playlist .mejs-button.mejs-volume-button.mejs-unmute>button:before,
	.wp-playlist .mejs-button.mejs-playpause-button.mejs-play>button:before,
	.wp-playlist .mejs-button.mejs-playpause-button.mejs-pause>button:before,
	.wp-playlist .wp-playlist-prev:before,
	.wp-playlist .wp-playlist-next:before,
	.widget_media_audio .mejs-button.mejs-volume-button.mejs-mute>button:before, 
	.widget_media_audio .mejs-button.mejs-volume-button.mejs-unmute>button:before, 
	.widget_media_audio .mejs-button.mejs-playpause-button.mejs-play>button:before, 
	.widget_media_audio .mejs-button.mejs-playpause-button.mejs-pause>button:before, 
	.widget_media_audio .wp-playlist-prev:before, 
	.widget_media_audio .wp-playlist-next:before,
	.widget_media_video .mejs-button.mejs-volume-button.mejs-mute>button:before, 
	.widget_media_video .mejs-button.mejs-volume-button.mejs-unmute>button:before, 
	.widget_media_video .mejs-button.mejs-playpause-button.mejs-play>button:before, 
	.widget_media_video .mejs-button.mejs-playpause-button.mejs-pause>button:before, 
	.widget_media_video .wp-playlist-prev:before, 
	.widget_media_video .wp-playlist-next:before,
	.widget_media_video .mejs-button.mejs-fullscreen-button>button:before,
	#featured-services .icon svg,
	#call-to-action .btn:hover,
	#call-to-action .btn:focus,
	.event-date,
	#upcoming-events .entry-title a:hover,
	#upcoming-events .entry-title a:focus,
	#upcoming-events .event-time svg,
	#upcoming-events article:hover .entry-title a,
	span.event-time i,
	.designation,
	ul.products li .post-categories a:hover,
	ul.products li .post-categories a:focus,
	.woocommerce-Price-amount.amount,
	#team-members .entry-header p,
	.woocommerce .star-rating span,
	.woocommerce-message::before,
	.product .woocommerce-product-rating .woocommerce-review-link:hover,
	.product .woocommerce-product-rating .woocommerce-review-link:focus,
	.shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents a:hover,
	.shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents a:focus,
	.woocommerce-info::before,
	#featured-services article .entry-title a:hover, 
	#featured-services article .entry-title a:focus,
	.lite-version .section-subtitle,
	.lite-version #featured-services .icon svg,
	.lite-version .entry-title a:hover,
	.lite-version .entry-title a:focus,
	.lite-version #featured-services article .entry-title a:hover, 
	.lite-version #featured-services article .entry-title a:focus,
	.lite-version #call-to-action .btn:hover,
	.lite-version #call-to-action .btn:focus,
	.lite-version .event-date,
	.lite-version #upcoming-events .event-time svg,
	.lite-version #upcoming-events article:hover .entry-title a,
	.lite-version .section-container .btn-fill:hover,
	.lite-version .section-container .btn-fill:focus,
	.lite-version .woocommerce-Price-amount.amount,
	.lite-version #team-members .entry-header p,
	.lite-version .jetpack_subscription_widget input[type="email"],
	.lite-version #colophon a:hover,
	.lite-version #colophon a:focus,
	.lite-version #colophon .site-info a:hover,
	.lite-version #colophon .site-info a:focus,
	.lite-version .pagination .page-numbers,
	.lite-version .post-navigation a:hover, 
	.lite-version .posts-navigation a:hover, 
	.lite-version .post-navigation a:focus, 
	.lite-version .posts-navigation a:focus,
	.lite-version .comment-metadata a:hover, 
	.lite-version .comment-metadata a:focus, 
	.lite-version .comment-metadata a:hover time, 
	.lite-version .comment-metadata a:focus time,
	.lite-version .comment-meta .url:hover, 
	.lite-version .comment-meta .fn:hover,
	.lite-version .comment-meta .url:focus, 
	.lite-version .comment-meta .fn:focus,
	.lite-version .reply a:hover, 
	.lite-version .reply a:focus,
	.lite-version a,
	.lite-version .main-navigation ul#primary-menu li.current-menu-item > a, 
	.lite-version .main-navigation ul#primary-menu li:hover > a,
	.lite-version .star-rating span,
	.lite-version span.event-time i,
	.lite-version #playlist-section .wp-playlist-prev:hover:before, 
	.lite-version #playlist-section .wp-playlist-next:hover:before,
	.lite-version .product .woocommerce-product-rating .woocommerce-review-link:hover, 
	.lite-version .product .woocommerce-product-rating .woocommerce-review-link:focus,
	.lite-version .widget_media_audio .mejs-button.mejs-volume-button.mejs-mute>button:before, 
	.lite-version .widget_media_audio .mejs-button.mejs-volume-button.mejs-unmute>button:before, 
	.lite-version .widget_media_audio .mejs-button.mejs-playpause-button.mejs-play>button:before, 
	.lite-version .widget_media_audio .mejs-button.mejs-playpause-button.mejs-pause>button:before, 
	.lite-version .widget_media_audio .wp-playlist-prev:before, 
	.lite-version .widget_media_audio .wp-playlist-next:before, 
	.lite-version .widget_media_video .mejs-button.mejs-volume-button.mejs-mute>button:before, 
	.lite-version .widget_media_video .mejs-button.mejs-volume-button.mejs-unmute>button:before, 
	.lite-version .widget_media_video .mejs-button.mejs-playpause-button.mejs-play>button:before, 
	.lite-version .widget_media_video .mejs-button.mejs-playpause-button.mejs-pause>button:before, 
	.lite-version .widget_media_video .wp-playlist-prev:before, 
	.lite-version .widget_media_video .wp-playlist-next:before, 
	.lite-version .widget_media_video .mejs-button.mejs-fullscreen-button>button:before,
	.lite-version .product-name a:hover,
	.lite-version .product-name a:focus,
	.lite-version .shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents a:hover, 
	.lite-version .shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents a:focus,
	.lite-version #secondary a:hover,
	.lite-version #secondary a:focus,
	.lite-version .woocommerce-info::before,
	.lite-version .wp-playlist .mejs-button.mejs-volume-button.mejs-mute>button:before, 
	.lite-version .wp-playlist .mejs-button.mejs-volume-button.mejs-unmute>button:before, 
	.lite-version .wp-playlist .mejs-button.mejs-playpause-button.mejs-play>button:before, 
	.lite-version .wp-playlist .mejs-button.mejs-playpause-button.mejs-pause>button:before, 
	.lite-version .wp-playlist .wp-playlist-prev:before, 
	.lite-version .wp-playlist .wp-playlist-next:before,
	.lite-version .wp-playlist .mejs-currenttime,
	#playlist-section .toggle-playlist i,
	.lite-version #playlist-section .toggle-playlist i,
	#popular-destinations .more-link,
	#popular-tours .popular-tours-trip-price,
	#popular-tours .fa.fa-clock-o,
	.featured-content-wrapper .entry-title a:hover,
	.featured-content-wrapper .entry-title a:focus,
	#our-services .service-icon a:hover,
	#our-services .service-icon a:focus,
	#our-services .entry-title a:hover,
	#our-services .entry-title a:focus,
	#trending-products .entry-title a:hover,
	#trending-products .entry-title a:focus,
	#trending-products .price {
		color: ' . esc_attr($color_value) . ';
	}
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.widget svg,
	.search-submit:hover svg, 
	.featured-slider .entry-container .search-submit:hover svg.icon-search,
	#featured-services .icon svg,
	#upcoming-events .event-time svg,
	.lite-version #featured-services .icon svg,
	.lite-version .search-submit:hover svg, 
	.lite-version .featured-slider .entry-container .search-submit:hover svg.icon-search,
	.lite-version #featured-services .icon svg,
	.lite-version #upcoming-events .event-time svg,
	.lite-version #colophon .social-icons li a svg,
	.lite-version .navigation.pagination svg,
	.lite-version .navigation.posts-navigation a:hover svg, 
	.lite-version .navigation.post-navigation a:hover svg, 
	.lite-version .navigation.posts-navigation a:focus svg, 
	.lite-version .navigation.post-navigation a:focus svg,
	.lite-version .main-navigation li.menu-item-has-children:hover > a > svg, 
	.lite-version .main-navigation li.menu-item-has-children > a:hover > svg {
	    fill: ' . esc_attr($color_value) . ';
	}
	#respond input[type="submit"],
	input[type="submit"],
	.btn,
	#playlist-section .mejs-button.mejs-playpause-button,
	.button.product_type_simple.add_to_cart_button.ajax_add_to_cart,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	.woocommerce a.added_to_cart,
	.woocommerce #respond input#submit.alt, 
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt,
	.lite-version .btn,
	.lite-version .button.product_type_simple.add_to_cart_button.ajax_add_to_cart,
	.lite-version #respond input[type="submit"],
	.lite-version.woocommerce #respond input#submit, 
	.lite-version.woocommerce a.button, 
	.lite-version.woocommerce button.button, 
	.lite-version.woocommerce input.button, 
	.lite-version.woocommerce a.added_to_cart, 
	.lite-version.woocommerce #respond input#submit.alt, 
	.lite-version.woocommerce a.button.alt, 
	.lite-version.woocommerce button.button.alt, 
	.lite-version.woocommerce input.button.alt,
	.lite-version .woocommerce #respond input#submit, 
	.lite-version .woocommerce a.button, 
	.lite-version .woocommerce button.button, 
	.lite-version .woocommerce input.button, 
	.lite-version .woocommerce a.added_to_cart, 
	.lite-version .woocommerce #respond input#submit.alt, 
	.lite-version .woocommerce a.button.alt, 
	.lite-version .woocommerce button.button.alt, 
	.lite-version .woocommerce input.button.alt,
	.lite-version #playlist-section .mejs-button.mejs-playpause-button,
	.second-design #featured-services .icon a:after,
	#products-collection article .btn:hover,
	#products-collection article .btn:focus,
	#featured-products article .btn:hover,
	#featured-products article .btn:focus {
		border-color: ' . esc_attr($color_value) . ';
	}
	.woocommerce-message,
	.woocommerce-info,
	.woocommerce-error, 
	.woocommerce-info, 
	.woocommerce-message,
	.lite-version .woocommerce-error, 
	.lite-version .woocommerce-info, 
	.lite-version .woocommerce-message {
	    border-top-color: ' . esc_attr($color_value) . ';
	}
	.sixth-design .section-header {
	    border-bottom-color: ' . esc_attr($color_value) . ';
	}

	@media screen and (min-width: 1024px) {
		.main-navigation ul.sub-menu li:hover > a,
		.main-navigation ul.sub-menu li:focus > a,
		.lite-version .main-navigation ul.sub-menu li:hover > a,
		.lite-version .main-navigation ul.sub-menu li:focus > a,
		.menu-sticky.lite-version #masthead.nav-shrink {
		    background-color: ' . esc_attr($color_value) . ';
		}
		#masthead .main-navigation ul#primary-menu > li.current-menu-item > a,
		#masthead .main-navigation ul.nav-menu > li > a:hover,
		.main-navigation ul#primary-menu li:hover > a,
		.lite-version #masthead .main-navigation ul#primary-menu > li.current-menu-item > a,
		.lite-version #masthead .main-navigation ul.nav-menu > li > a:hover,
		.lite-version .main-navigation ul#primary-menu > li:hover > a,
		.lite-version #masthead .main-navigation ul#primary-menu ul > li.current-menu-item > a {
		    color: ' . esc_attr($color_value) . ';
		}
		.main-navigation li.menu-item-has-children:hover > a > svg, 
		.main-navigation li.menu-item-has-children > a:hover > svg,
		.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
		.lite-version .main-navigation ul#primary-menu > li.current-menu-item > a > svg {
			fill: ' . esc_attr($color_value) . ';
		}
	}';

	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Musicsong Pro custom colors CSS.
	 *
	 * @since Musicsong Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'musicsong_pro_custom_colors_css', $css );
}
