<?php
/**
 * collection Section options
 *
 * @package Theme Palace
 * @subpackage Musicsong Pro
 * @since Musicsong Pro 1.0.0
 */

// Add collection section
$wp_customize->add_section( 'musicsong_pro_collection_section', array(
	'title'             => esc_html__( 'Collection','musicsong-pro' ),
	'description'       => esc_html__( 'Note: To activate this section you need to install WooCommerce Plugin.', 'musicsong-pro' ),
	'panel'             => 'musicsong_pro_front_page_panel',
) );

// collection content enable control and setting
$wp_customize->add_setting( 'musicsong_pro_theme_options[collection_section_enable]', array(
	'default'			=> 	$options['collection_section_enable'],
	'sanitize_callback' => 'musicsong_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Musicsong_Pro_Switch_Control( $wp_customize, 'musicsong_pro_theme_options[collection_section_enable]', array(
	'label'             => esc_html__( 'collection Section Enable', 'musicsong-pro' ),
	'section'           => 'musicsong_pro_collection_section',
	'on_off_label' 		=> musicsong_pro_switch_options(),
) ) );

// collection title setting and control
$wp_customize->add_setting( 'musicsong_pro_theme_options[collection_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['collection_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'musicsong_pro_theme_options[collection_title]', array(
	'label'           	=> esc_html__( 'Title', 'musicsong-pro' ),
	'section'        	=> 'musicsong_pro_collection_section',
	'active_callback' 	=> 'musicsong_pro_is_collection_section_enable',
	'type'				=> 'text',
) );


// collection subtitle setting and control
$wp_customize->add_setting( 'musicsong_pro_theme_options[collection_subtitle]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['collection_subtitle'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'musicsong_pro_theme_options[collection_subtitle]', array(
	'label'           	=> esc_html__( 'Sub Title', 'musicsong-pro' ),
	'section'        	=> 'musicsong_pro_collection_section',
	'active_callback' 	=> 'musicsong_pro_is_collection_section_enable',
	'type'				=> 'text',
) );


for ( $i = 1; $i <= 4; $i++ ) :


	// Add dropdown category setting and control.
	$wp_customize->add_setting(  'musicsong_pro_theme_options[collection_content_collection_category_'.$i.']', array(
		'sanitize_callback' => 'absint',
	) ) ;

	$wp_customize->add_control( new Musicsong_Pro_Dropdown_Taxonomies_Control( $wp_customize,'musicsong_pro_theme_options[collection_content_collection_category_'.$i.']', array(
		'label'             => esc_html__( 'Select collection Category ', 'musicsong-pro' ).$i,
		'section'           => 'musicsong_pro_collection_section',
		'taxonomy'			=> 'product_cat',
		'type'              => 'dropdown-taxonomies',
		'active_callback'	=> 'musicsong_pro_is_collection_section_enable'
	) ) );

	$wp_customize->add_setting( 'musicsong_pro_theme_options[collection_banner_title_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'musicsong_pro_theme_options[collection_banner_title_'.$i.']', array(
		'label'           	=> esc_html__( 'Banner Title ', 'musicsong-pro' ).$i,
		'section'        	=> 'musicsong_pro_collection_section',
		'active_callback' 	=> 'musicsong_pro_is_collection_section_enable',
		'type'				=> 'text',
	) );

endfor;
