<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Musicsong Pro
 * @since Musicsong Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'musicsong_pro_menu', array(
	'title'             => esc_html__('Header Menu','musicsong-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'musicsong-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'musicsong_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'musicsong_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Musicsong_Pro_Switch_Control( $wp_customize, 'musicsong_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'musicsong-pro' ),
	'section'           => 'musicsong_pro_menu',
	'on_off_label' 		=> musicsong_pro_switch_options(),
) ) );


$wp_customize->add_setting( 'musicsong_pro_theme_options[menu_ads_image]', array(
	'sanitize_callback' => 'musicsong_pro_sanitize_image'
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'musicsong_pro_theme_options[menu_ads_image]',
		array(
		'label'       		=> esc_html__( 'Image', 'musicsong-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'musicsong-pro' ), 512, 520 ),
		'section'     		=> 'musicsong_pro_menu',
) ) );
// menu btn link setting and control
$wp_customize->add_setting( 'musicsong_pro_theme_options[menu_ads_link]', array(
	'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'musicsong_pro_theme_options[menu_ads_link]', array(
	'label'           	=> esc_html__( 'Ads Link', 'musicsong-pro' ),
	'section'        	=> 'musicsong_pro_menu',
	'type'				=> 'url',
) );