<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


function musicsong_pro_add_counter_section(){
    $options = musicsong_pro_get_theme_options();
    // Check if counter is enabled on frontpage
    $counter_enable = apply_filters( 'musicsong_pro_section_status', true, 'counter_section_enable' );

    if ( true !== $counter_enable ) {
        return false;
    }

?>
    <div id="business-counter" class="relative page-section" style="background-image: url('<?php echo esc_url( $options['counter_image'] ) ?>');">
        <div class="overlay"></div>
        <div class="wrapper">
            <div class="business-section-content clear col-4">
                <?php for ($i=1; $i <= $options['counter_count'] ; $i++) : ?>
                    <article>
                        <header class="entry-header">
                            <div class="counter-icon">
                                <i class="fa <?php echo esc_attr( $options['counter_content_icon_'.$i] ) ?>"></i>
                            </div><!-- .counter-icon -->

                            <h3 class="counter-value"><?php echo esc_html( $options['counter_number_'.$i] ) ?></h3>
                            <div class="separator-line"></div>
                            <h2 class="entry-title"><?php echo esc_html( $options['counter_title_'.$i] ) ?></h2>
                        </header>
                    </article>
                <?php endfor; ?>
            </div><!-- .business-section-content -->
        </div><!-- .wrapper -->
    </div>
<?php } ?>
